﻿@using TakeHome3.Modeles.Compte
@model Connexion
@{
    ViewBag.Title = "Connexion";
}

<h2>@ViewBag.Title</h2>
<div class="row">
    <div class="col-md-8">
        <section id="loginForm">
            @using (Html.BeginForm("Connexion", "Compte", new { UrlRetour = ViewBag.UrlRetour }, FormMethod.Post, new { @class = "form-horizontal", role = "form" }))
            {
                @Html.AntiForgeryToken()
                <hr />
                @Html.ValidationSummary(true, "", new { @class = "text-danger" })
                <div class="form-group">
                    @Html.LabelFor(m => m.Nom, new { @class = "col-md-2 control-label" })
                    <div class="col-md-10">
                        @Html.TextBoxFor(m => m.Nom, new { @class = "form-control" })
                        @Html.ValidationMessageFor(m => m.Nom, "", new { @class = "text-danger" })
                    </div>
                </div>
                <div class="form-group">
                    @Html.LabelFor(m => m.MotDePasse, new { @class = "col-md-2 control-label" })
                    <div class="col-md-10">
                        @Html.PasswordFor(m => m.MotDePasse, new { @class = "form-control" })
                        @Html.ValidationMessageFor(m => m.MotDePasse, "", new { @class = "text-danger" })
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-md-offset-2 col-md-10">
                        <input type="submit" value="Connexion" class="btn btn-default" />
                    </div>
                </div>
                <p>
                    @Html.ActionLink("S'inscrire", "Inscription")
                </p>
            }
        </section>
    </div>
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}